{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/archive/mass_operation/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/archive/mass_operation/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap">
        {% set buildingUnitArchiveOverviewLastVisitedPage = fetch_object_from_session('App\\Domain\\Entity\\LastVisitedPage', 'buildingUnitArchiveOverview') %}
        {% if buildingUnitArchiveOverviewLastVisitedPage != null %}
            {% set buildingUnitOverviewArchivePagePath = path(buildingUnitArchiveOverviewLastVisitedPage.getRouteName(), buildingUnitArchiveOverviewLastVisitedPage.getParameters())  %}
        {% else %}
            {% set buildingUnitOverviewArchivePagePath = path('property_vacancy_management_building_unit_archive_overview_map')  %}
        {% endif %}
        <a href="{{ buildingUnitOverviewArchivePagePath }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Archivierte Objekte löschen <span class="text-secondary">({{ buildingUnits|length }})</span></span>
        {{ form_widget(buildingUnitMassOperationDeleteForm.delete, {'label': 'LÖSCHEN', 'id': buildingUnitMassOperationDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto delete-button align-self-center'}}) }}
    </div>
{% endblock %}
{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-3">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Die Objekte und alle verknüpften Daten werden unwiderruflich gelöscht.
            </h1>
            <p>
                Um die ausgewählten Objekte endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">objekte_{{ buildingUnits|length }}</span>
            </p>
            {{ form_start(buildingUnitMassOperationDeleteForm, {'attr': {'id': buildingUnitMassOperationDeleteForm.vars.id ~ '_form', 'autocomplete': 'off'}}) }}
            {{ form_row(buildingUnitMassOperationDeleteForm.verificationCode) }}
            {{ form_row(buildingUnitMassOperationDeleteForm.selectedRowIds) }}
            {{ form_row(buildingUnitMassOperationDeleteForm._token) }}
            {{ form_end(buildingUnitMassOperationDeleteForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4">
            {% include 'property_vacancy_management/component/building_unit/building_unit_list_component.html.twig' with {
                'idPrefix': 'building_unit_archive_overview_',
                'listItems': buildingUnits,
                'massOperation': false,
                'showActionButton': false,
                'pagination': false,
                'sortable': false
            } only %}
        </div>
    </div>
{% endblock %}
